Jump to content

1.38 Udviklings Opdatering


Recommended Posts

Vær hilset!

Som med vores forrige udviklingsopdatering til spilversion 1.37 er vi glade for at kunne annoncere vores udviklingsopdatering til spilversion 1.38.

Da American Truck Simulator 1.38 frigives den 14. juli, og Euro Truck Simulator 2 1.38 den 21. juli, har samfundet ventet ivrig på TruckersMPs støtte til de nyeste versioner i en måned nu.

Selvom vores støtte endnu ikke er klar, ønskede vi at være klar over vores aktuelle fremskridt og forklare, hvorfor det tager en ekstraordinær mængde tid.

FCHCAKy.png

Selvom der på overfladen muligvis ikke ser ud til at være mange ændringer i 1.38, der kan forårsage en forsinkelse af vores fremskridt, har der været mange ændringer bag kulisserne, som SCS Software har skubbet ind i de nyeste builds.

FMOD er stadig en vigtig faktor i retning af vanskeligheden ved at opdatere multiplayer, da de præsenterer yderligere backend-ændringer, såvel som den kendte 'manglende lyde' -fejl, der vises i nærheden af andre spillere.

For at besvare nogle populære spørgsmål har vi angivet vores svar nedenfor. Hvis der er yderligere spørgsmål, du gerne vil stille, er du selvfølgelig velkommen til at sende det på vores forumemne. Vi overvåger emnet i de næste par dage og besvarer dem så hurtigt som muligt.

 


 

Hvornår forventes multiplayer-understøttelse af 1,38 at frigive?

Vi forventer i øjeblikket en frigivelse i slutningen af august / begyndelsen af september. Vi forstår, at dette er senere, end de fleste af jer havde håbet, men vi kan være forvissede om, at denne opdatering er vores udviklers prioriterede prioritering.

 

Hvorfor tager disse opdateringer så lang tid?

Lige nu er det kun hovedudvikleren 'mwl4', der har viden, færdigheder og værktøjer til at forberede havnen fra 1,37 til 1,38. Ud over at han arbejder med opdateringen, har han personlige forpligtelser i den virkelige verden.

Hele holdet støtter ham efter vores bedste evner, men vi er begrænset til kun mindre opgaver.

Hvis du er nysgerrig efter processen, hvor mwl4 skal port vores multiplayer-mod for at understøtte de nyeste versioner, så tjek hans video her: [Udviklingsvideo] Porting ETS2MP to 1.14 patch. Selvom vi for over fem år siden giver os en vag forståelse af kompleksiteten til at udvikle vores mod.

Hvordan kan jeg holde mig opdateret med oplysninger om 1.38 multiplayer support?

Vi vil sikre dig, at du bliver informeret ved at holde vores sociale mediekanaler og information regelmæssigt opdateret.

Du kan tjekke dem ud nedenfor:

TruckersMP Nyheder | Udviklingsmeddelelser (forum) | Discord | Twitter | Instagram | Facebook

Jeg har allerede opdateret til 1.38, hvordan kan jeg spille på multiplayer-serverne?

Da multiplayer ikke understøtter 1.38 versionen endnu, skal du nedgradere din spilversion.

Vi har leveret en guide til, hvordan du nedgraderer dine spil til 1.37 her: **[Sådan nedgraderes](https://truckersmp.com/kb/26)**

Du kan også se vores videoguide til nedgradering her: **[Sådan: nedgraderer du dit spil](https://www.youtube.com/watch?v=TZAuO44CkWI)**.

Vil ProMods 2.46 understøttes?

ProMods 2.46 er endnu ikke kompatibel med spilversion 1.38. Vores ProMods multiplayer servere vil ikke være tilgængelige, indtil deres 1.38 kompatibilitetsopdatering er frigivet og testet på multiplayer.

Vil 'Idaho' DLC blive understøttet?

Den nye Idaho DLC understøttes sammen med 1.38 multiplayer-opdateringsudgivelsen.

Kommer hornets lydfejl til at blive rettet i denne opdatering?

Dette er et løbende problem, som udviklerne adresserer. Det er forårsaget af den nye lydmotors (FMOD) begrænsning af lyde, der afspilles samtidigt. 

På grund af den kompleksitet, FMOD introducerer, vil den ikke blive rettet i tide til den 1.38 multiplayer opdatering. Vi søger aktivt en løsning for at omgå FMOD-begrænsningerne, men det er en ekstremt kompleks opgave.



Dette afslutter vores udviklingsopdatering til 1.38 multiplayer.

Vi forstår dine frustrationer over multiplayer-understøttelsen for 1.38 at tage et stykke tid. Der arbejdes meget på opdateringen hver dag for at sikre, at vi kan støtte den nyeste version så hurtigt som muligt.

Desværre har 1.37 og 1.38 introduceret en masse komplicerede problemer i backend-koden, hvilket betyder, at vores udviklere er tvunget til at bruge en masse ekstra tid på at løse dem, inden vi kan frigive opdateringen.

Din tålmodighed og forståelse værdsættes! Tak skal du have.

-TruckersMP Team

 

 

 

 

 

Originalt indlæg: https://truckersmp.com/blog/217

  • Like 1

ZefojGaming

TruckersMP

role_Translator.png.406b1eb540bc3578b29f

 


Rules | Recruitment | Support | Feedback | Meet the Team | Guides | Suggestions

Regler | Rekruttering | Support | Feedback | Mød Teamet | Guider | Forslag

 

Link to post
Share on other sites
Guest
This topic is now closed to further replies.
×
×
  • Create New...